﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace FilterComboBox {
  public class ViewModel {

    private List<MyData> data;

    public ViewModel() {
      data = new List<MyData>();
      string userFolder = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
      var itemsInMyDocuments = Directory.GetDirectories(userFolder).Concat(Directory.GetFiles(userFolder));
      foreach (var item in itemsInMyDocuments) {
        data.Add(new MyData() { Name = item });
      }
    }

    public IEnumerable<MyData> DataSource {
      get { return data; }
    }
  }

  public class MyData {
    public string Name { get; set; }
  }
}
